Subject: Re: gitweb $export_ok question

From: Jakub Narebski <[email-masked]>
Date: Tue, 30 Dec 2008 14:37:44 -0800 (PST)

Thomas Amsler <[email-masked]> writes:

> Hello,
> 
> I am trying to get the gitweb $export_ok to work. According the
> installation instructions:
> 
>   Alternatively, you can configure gitweb to only list and allow
>   viewing of the explicitly exported repositories, via the
>   GITWEB_EXPORT_OK build configuration variable (or the $export_ok
>   variable in gitweb config file). If it evaluates to true, gitweb
>   shows repositories only if this file exists in its object database
>   (if directory has the magic file named $export_ok).
> 
> ... I set $export_ok = "true" in my /etc/gitweb.conf file.
[...]

$export_ok is not a boolean, is the _name_ of a file, which if it
is present, then repository is exported to gitweb, and if it is not,
it is invisible to gitweb. It means that if for example we have
  $export_ok = "gitweb-export-ok";
in the GITWEB_CONFIG file (usually gitweb_config.perl, installed
in the same place as gitweb.cgi), the repo.git is exported only
if it has file gitweb-export-ok in it.

This mechanism is similar to git-daemon and its magic file
"git-daemon-export-ok".

-- 
Jakub Narebski
Poland
ShadeHawk on #git